package com.liquidnet.service.chime.vo.mongo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: ChimeUserTagsMappingVo
 * @Package com.liquidnet.service.chime.vo.mongo
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/3 16:50
 */
@ApiModel(value = "ChimeUserTagsMappingVo", description = "社交用户标签映射表")
@Data
public class ChimeUserTagsMappingVo {
    private static final long serialVersionUID = 5325511589667456214L;
    @ApiModelProperty(position = 0, value = "用户ID[64]")
    private String userId;
    @ApiModelProperty(position = 1, value = "标签code")
    private String tagCode;
    @ApiModelProperty(position = 2, value = "标签描述")
    private String tagDesc;

    private static final ChimeUserTagsMappingVo obj = new ChimeUserTagsMappingVo();
    public static ChimeUserTagsMappingVo getNew() {
        try {
            return (ChimeUserTagsMappingVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new ChimeUserTagsMappingVo();
        }
    }
}
